.shadow-1 {
  box-shadow: 2px 2px 2px #0a3a65;
}
.shadow-2 {
  box-shadow: 4px 4px 16px #434d56;
}
.shadow-3 {
  box-shadow: 5px 5px 15px 5px rgba(0, 0, 0, 0);
}
.shadow-4 {
  box-shadow: 0 24px 28px -12px black;
}
.shadow-5 {
  box-shadow: rgba(0, 0, 0, 0.15) 0 0 5px;
}
.shadow-6 {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px 2px, rgba(0, 0, 0, 0.3) 10px 10px 3px 2px;
}
.text-shadow-1 {
  text-shadow: 2px 2px 2px #484848bf;
}
/* Title */
#title {
  text-align: center;
  margin: 20px 4% 0 4%;
  padding: 10px 4%;
  color: #A97D4F;
  background-color: #fdfdfd;
  font-size: 3em;
}
/* Criteria */
#criteria {
  text-align: center;
  margin: 20px 4% 0 4%;
  padding: 10px 4%;
  color: #A97D4F;
  background-color: #fdfdfd;
  font-size: 1.2em;
}
/* Search 
#qws-search-section {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    padding: 15px 0 0 0;
    width: 80%;
    text-align: right;
}

#qws-search-block {
    position: relative;
    display: flex;
    box-sizing: border-box;
    width: 100%;
}


#qws-search-text {
    display: inline-block;
    padding: 4px 6px;
    width: ~"calc(100% - 24px)";
    box-sizing: border-box;
    background-color: @white;
    color: @text-black;
    border-style: solid;
    border-width: 2px;
    border-color: @yellow;
    font-size: 1em;
}

#qws-search-button {
    display: inline-block;
    padding: 8px 8px 0 6px;
    background-color: @yellow;
    cursor: pointer;
}

*/
#qws-search-advanced-close {
  padding-right: 10px;
}
#qws-search-code-block,
#qws-search-advanced-block {
  display: flex;
  flex-direction: column;
  gap: 5px;
  align-items: flex-end;
  align-content: center;
}
.qws-search-advanced-line {
  display: flex;
  flex-direction: row;
  gap: 12px;
  align-items: center;
}
.qws-search-advanced-label {
  font-size: 0.8em;
  color: #A97D4F;
}
.qws-search-advanced-label-big {
  font-size: 1em;
  color: #A97D4F;
}
.qws-search-advanced-input {
  width: 200px;
  padding: 6px;
  font-size: 0.8em;
  border-style: solid;
  border-width: 1px;
  border-color: #A97D4F;
  border-radius: 4px;
}
.qws-search-advanced-difficulty-block {
  display: flex;
  flex-direction: row;
  gap: 5px;
  border-style: none;
}
.qws-search-advanced-difficulty,
.qws-search-advanced-difficulty-selected {
  color: #A97D4F;
  font-size: 1.1em;
}
/*
#qws-search-advanced-difficulty-1 {
    color: @blue-c3;
}

#qws-search-advanced-difficulty-2 {
    color: @blue-c2;
}

#qws-search-advanced-difficulty-3 {
    color: @blue-c1;
}

#qws-search-advanced-difficulty-4 {
    color: @blue;
}

#qws-search-advanced-difficulty-5 {
    color: @blue-d1;
}

#qws-search-advanced-difficulty-6 {
    color: @blue-d2;
}
*/
.qws-search-advanced-button {
  display: inline-block;
  padding: 0 0 0 4px;
  font-size: 0.8em;
  cursor: pointer;
}
/* Body search */
#search-block {
  display: block;
  text-align: center;
  margin: 20px 0;
  padding: 20px 0;
  color: #A97D4F;
  background-color: #fdfdfd;
}
#search-label {
  font-size: 2em;
}
#search {
  font-size: 1.2em;
  margin: 20px 0;
  padding: 8px 20px;
  width: 80%;
  box-sizing: border-box;
}
#search-button-block {
  display: block;
  text-align: right;
  margin-right: 10%;
}
#search-button {
  display: inline-block;
  padding: 10px;
  text-align: center;
  border-style: solid;
  border-width: 1px;
  border-color: #A97D4F;
  border-radius: 2px;
  background-color: #A97D4F;
  color: #fdfdfd;
  cursor: pointer;
}
/* Cart and minicart */
/* See shopCart.css */
.qws-difficulty,
.qws-difficulty-selected {
  display: inline-block;
  width: 16%;
  text-align: left;
  color: #A97D4F;
}
/*
 * Categories
 */
#qws-category-hamburger {
  text-align: center;
  cursor: pointer;
  display: none;
}
#qws-category-hamburger-label {
  font-family: Roboto, Helvetica;
  display: inline-block;
  padding: 0 0 0 10px;
}
#qws-category-section {
  display: flex;
  flex-direction: row;
  gap: 10px;
  flex-shrink: 0;
  width: 300px;
}
.qws-category-block,
.qws-cd-category-block {
  position: relative;
  display: flex;
  flex-direction: column;
  cursor: pointer;
}
.qws-category-header {
  display: flex;
  flex-direction: row;
  gap: 8px;
  justify-content: space-between;
  align-items: flex-start;
  padding: 8px;
}
.qws-category-title-block {
  display: flex;
  flex-direction: column;
}
.qws-category-title {
  color: #eeeeee;
  font-size: 0.8em;
}
.qws-category-title-tiny {
  color: #9f5143;
  font-size: 0.8em;
}
.qws-category-name-block {
  display: flex;
  flex-direction: row;
  gap: 10px;
  align-items: center;
}
.qws-category-name {
  color: #eeeeee;
}
.qws-category-remove {
  color: #eeeeee;
  font-size: 0.8em;
  cursor: pointer;
}
.qws-category-toggle {
  color: #eeeeee;
}
.qws-category {
  display: flex;
  flex-direction: column;
  gap: 1px;
  overflow-y: auto;
}
/* Body content */
#qws-body-content {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  padding: 0 20px 20px 20px;
}
/*
 * Content
 */
.qws-section {
  text-align: center;
}
.qws-section-title {
  text-align: left;
  font-size: 1.8em;
  font-weight: 800;
}
/* Search message */
#result-message-block {
  background-color: #fdfdfd;
  text-align: center;
  padding: 15px;
}
#result-message {
  font-size: 1.2em;
  color: #A97D4F;
}
/* Search result */
#qws-search-result-section {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 15px;
}
#qws-result-title-section {
  display: flex;
  flex-direction: column;
}
#qws-result-title-block {
  display: flex;
  flex-direction: row;
  gap: 5px;
  align-items: center;
}
#qws-generate-search-url {
  color: #A97D4F;
  text-align: left;
  font-size: 0.6em;
  cursor: pointer;
}
#qws-item-list-section {
  position: relative;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
  gap: 35px;
}
#qws-item-list {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  gap: 30px;
  flex-wrap: wrap;
  color: #A97D4F;
}
.qws-item-list-link-container {
  display: none;
}
.qws-item-list-copy-link {
  font-size: 0.8em;
  cursor: pointer;
}
/* Item detail */
#detail-modal {
  padding-top: 50px;
  padding-bottom: 50px;
}
#detail-form {
  position: relative;
  display: block;
  height: 100%;
}
#detail-content {
  position: relative;
  display: block;
  height: 100%;
  background-color: #fdfdfd;
  border-radius: 12px;
}
#item-link-container {
  display: flex;
  flex-direction: row;
  gap: 20px;
  align-items: center;
}
/* QR Scanner */
#qr-scanner {
  position: fixed;
  bottom: 20px;
  right: 20px;
  font-size: 2em;
  color: #A97D4F;
  z-index: 9;
  cursor: pointer;
}
#scan-item-button-block {
  display: flex;
  flex-direction: row;
  gap: 10px;
}
.s-item-list-item-tag {
  position: absolute;
  padding: 5px;
}
.s-item-list-item-tag-discount {
  display: none;
  top: 40px;
  font-size: 1.2em;
  color: #ff0202;
  transform: rotate(-25deg);
  border: 1px solid #ff0202;
}
.s-item-list-item-tag-label-discount {
  display: none;
}
.s-item-list-item-tag-discount::after {
  content: "-15% durant Discount";
}
.discount-picture {
  position: absolute;
  max-width: 100%;
  max-height: 100%;
}
.discount-picture-detail {
  max-width: 100%;
  max-height: 100%;
}
.discount-price,
.discount-price-detail {
  font-size: 1.4em;
}
#d-item-tag-block {
  display: none;
}
@media only screen and (max-width: 700px) {
  #qws-minicart {
    font-size: 2.4em;
  }
  #qws-cart-section {
    width: 100%;
  }
  #qws-category-hamburger {
    display: block;
  }
  #qws-category-section {
    display: none;
  }
  #qws-search-result-section {
    justify-content: center;
    align-items: center;
  }
  #qws-item-list-section {
    justify-self: center;
    align-items: center;
  }
  .qws-category-block {
    margin: 4px 0;
    width: initial;
  }
  .qws-category {
    position: relative;
    top: 0;
  }
  #qws-item-list {
    flex-direction: column;
    width: 100%;
  }
  .detail-copy-link {
    top: 542px;
    left: 140px;
    font-size: 1.5em;
  }
  #detail-modal {
    padding-top: 1px;
    padding-bottom: 1px;
  }
}
